Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::DeviceSlot::DeviceChangedEvent Struct Reference

Event: The device attached to this slot has changed. More...

Inheritance diagram for peripheral::DeviceSlot::DeviceChangedEvent:

## Public Attributes
Device | oldDevice
| Device before change.
Device | newDevice
| Device after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: The device attached to this slot has changed.

Definition at line 71 of file PeripheralDeviceSlot.idl.

## Member Data Documentation

## ◆ newDevice

Device peripheral::DeviceSlot::DeviceChangedEvent::newDevice

Device after change.

Definition at line 73 of file PeripheralDeviceSlot.idl.

## ◆ oldDevice

Device peripheral::DeviceSlot::DeviceChangedEvent::oldDevice

Device before change.

Definition at line 72 of file PeripheralDeviceSlot.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceSlot.idl